Tracking bug for Build and Release of TB3.0a1

RESOLVED FIXED

Status

defect
P2
normal
RESOLVED FIXED
11 years ago
6 years ago

People

(Reporter: rick.tessner, Assigned: rick.tessner)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(7 attachments, 5 obsolete attachments)

3.30 KB, patch
nthomas
: review-
Details | Diff | Splinter Review
3.30 KB, patch
nthomas
: review+
Details | Diff | Splinter Review
33.35 KB, patch
bhearsum
: review+
Details | Diff | Splinter Review
2.11 KB, patch
nthomas
: review+
Details | Diff | Splinter Review
3.95 KB, patch
nthomas
: review+
Details | Diff | Splinter Review
1.27 KB, patch
nthomas
: review+
Details | Diff | Splinter Review
1.01 KB, patch
nthomas
: review+
Details | Diff | Splinter Review
 
A bootstrap config for thunderbird 1.9.  Based on the fx-moz19-bootstrap.cfg.
Attachment #319035 - Flags: review?(nrthomas)
Comment on attachment 319035 [details] [diff] [review]
Tbird 1.9 bootstrap config

>milestone       = 1.9b5

This is going to be difficult. The current value in CVS is 1.9pre, and it should really stay at that. The Tag/Bump.pm code will try to replace 1.9b5pre with 1.9b5 with the definition above value.

Probably the least hacky thing to do is to put 1.9 here, run Tag, then change mozilla/config/milestone.txt back to 1.9pre on the relbranch, then move the THUNDERBIRD_3_0a1_BUILD1 and THUNDERBIRD_3_0a1_RELEASE tags forward to the new revision.

>RelbranchOverride = GECKO19b5_20080326_RELBRANCH

Need to commment this out

>pullDate        = 2008-03-23 23:59 PDT
>l10n_pullDate   = 2008-03-23 23:59 PDT

typo - 2008-04-23 for April

>linux_buildDir       = /builds/tinderbox/Tb-Mozilla1.9-Release
>macosx_buildDir      = /builds/tinderbox/Tb-Mozilla1.9-Release
>win32_buildDir       = /e/tb19rel
>linux_l10n_buildDir  = /builds/tinderbox/Tb-Mozilla1.9-l10n-Release
>macosx_l10n_buildDir = /builds/tinderbox/Tb-Mozilla1.9-l10n-Release
>win32_l10n_buildDir  = /e/tb19l10nrel

Reminder - all these will need to be created by hand.

>mozillaCvsroot  = cltbld@cvs.mozilla.org:/cvsroot
>l10nCvsroot     = cltbld@cvs.mozilla.org:/l10n
>mofoCvsroot     = cltbld@cvs.mozilla.org:/mofo

Each of these cltbld should be tbirdbld, the key used on the T'bird nightly boxes 

># Build platform, as specified by tinderbox
>linux_buildPlatform   = Linux_2.6.18-53.1.13.el5_Depend

Need to use Linux_2.6.18-53.1.4.el5_Depend here; tb-linux-tbox doesn't quite have the latest kernel

>linux_l10n_buildPlatform   = Linux_2.6.18-53.1.13.el5_Depend

Same again.

>from            = bootstrap@mozilla.org
>to              = nrthomas@mozilla.org

nrthomas@gmail.org or nthomas@mozilla.com pls

>patcherToolsRev = UPDATE_PACKAGING_R3

Nit - UPDATE_PACKAGING_R4 is the latest here, the fx config will soon be updated.
Attachment #319035 - Flags: review?(nrthomas) → review-
Hmm, obviously not gmail.org. :-S

We'll also need to create a release branch of 
 mozilla/tools/tinderbox-configs/thunderbird
Please attach a patch against HEAD that
* changes the usual release settings (eg UseTimeStamp, ReleaseToLatest, ReleaseToDated, update_pushinfo etc)
* adds CONFIG lines for cvsroot, BuildTree etc

Easist way to find out what to change is by comparing Firefox configs on HEAD and release tags. We should double check the nightly mozconfigs too.
Second attempt at the thunderbird moz19 bootstrap config.

The pullDate that Dan recommended was the same date as the thunderbird nightlies between Wed Apr 30 and Thu May 1st.
Attachment #319388 - Flags: review?(nrthomas)
Comment on attachment 319388 [details] [diff] [review]
Tbird 1.9 bootstrap configuration 

r+ and landed with tweak to my email address:

Checking in tb-moz19-bootstrap.cfg;
/cvsroot/mozilla/tools/release/configs/tb-moz19-bootstrap.cfg,v  <--  tb-moz19-bootstrap.cfg
initial revision: 1.1
done
Attachment #319388 - Flags: review?(nrthomas) → review+
Priority: -- → P2
Posted patch linx / tinder-config.pl (obsolete) — Splinter Review
Patch again HEAD for tools/tinderbox-configs/thunderbird/linux/tinder-config.pl

Should the following be commented or uncommented?  (I'd guess commented, but really, I'm not sure at all)

    RegxpcomTest
    EmbedCodesizeTest
    LayoutPerformanceTest
    DHTMLPerformanceTest
    StartupPerformanceTest

What should these be for tbird?

    GraphNameOverride
    results_server
    pageload_server
Attachment #319459 - Flags: review?(nrthomas)
Comment on attachment 319459 [details] [diff] [review]
linx / tinder-config.pl

There are a few CONFIG lines missing, and the tests changes in Firefox are more confusing than helpful.
Attachment #319459 - Flags: review?(nrthomas) → review-
Added the missing CONFIG: lines.  Still not sure what to do about the test bits tho.
Attachment #319388 - Attachment is obsolete: true
Attachment #319577 - Flags: review?
Comment on attachment 319388 [details] [diff] [review]
Tbird 1.9 bootstrap configuration 

Accidently obsoleted the wrong patch.
Attachment #319388 - Attachment is obsolete: false
Comment on attachment 319459 [details] [diff] [review]
linx / tinder-config.pl

This is the patch that should have been obsoleted previously.
Attachment #319459 - Attachment is obsolete: true
Comment on attachment 319577 [details] [diff] [review]
linux / thunderbird / tinderbox config 

Still some important stuff missing, I'll upload what I think we need and we can discuss it.
Attachment #319577 - Flags: review? → review-
Attachment #319577 - Attachment is obsolete: true
Attachment #319581 - Flags: review?(bhearsum)
Comment on attachment 319581 [details] [diff] [review]
Diff against HEAD for new release branch of en-US tinderbox config

The aim of this patch is create a set of release configs for Tb 3.0a1, by branching from the nightlies configs (on HEAD) and applying the patch.

There are two major parts to this
* modify the nightly settings to release ones
** in mozconfigs use make -j1, use the beta channel instead of nightly, and disable code-sighs
** in the tinder-config.pl
*** turn off UseTimeStamp, since we want to pull by tag rather than date
*** disable all tests except the basic regxpcom and AliveTest, and turn off test reporting (TestsPhoneHome)
*** Remove MofoRoot, since we don't build Talkback on trunk anymore
*** Set BuildNameExtra to Release to distinguish between nightly and release builds on tinderbox pages
*** Turn off ReleaseToLatest, so that we only get a dated dir in thunderbird/nightly and leave latest-trunk alone
*** Keep the release build out of the nightly update system by setting update_pushinfo to false

* add CONFIG lines to tinder-config.pl so that the release automation can change values based on it's own values
** important source parameters like moz_cvsroot, BuildTag
** build transfer params like like ssh_user, ssh_server, milestone, SYMBOL_SERVER_*
** tinderbox server parmams like BuildTree
Attachment #319581 - Attachment description: Diff against HEAD for new l10n branch of en-US tinderbox config → Diff against HEAD for new release branch of en-US tinderbox config
Fixes a firefox copy-and-pasto in win32/tinder-config.pl; otherwise unchanged.
Attachment #319581 - Attachment is obsolete: true
Attachment #319623 - Flags: review?(bhearsum)
Attachment #319581 - Flags: review?(bhearsum)
Need to use tbirdbld rather than cltbld for both the sshUser and stagingUser.
Attachment #319651 - Flags: review?(nrthomas)
Let's try this again without the cruft.
Attachment #319651 - Attachment is obsolete: true
Attachment #319652 - Flags: review?(nrthomas)
Attachment #319651 - Flags: review?(nrthomas)
Comment on attachment 319652 [details] [diff] [review]
[checked in] thunderbird boostrap config update to sshUser and stagingUser

r+

Checking in tb-moz19-bootstrap.cfg;
/cvsroot/mozilla/tools/release/configs/tb-moz19-bootstrap.cfg,v  <--  tb-moz19-bootstrap.cfg
new revision: 1.2; previous revision: 1.1
done
Attachment #319652 - Flags: review?(nrthomas) → review+
Comment on attachment 319623 [details] [diff] [review]
[checked in] Diff against HEAD for new release branch of en-US tinderbox config - v1.1

>? new-l10n-branch-2.diff
>? new-l10n-branch.diff
>Index: linux/mozconfig
>===================================================================
>RCS file: /cvsroot/mozilla/tools/tinderbox-configs/thunderbird/linux/mozconfig,v
>retrieving revision 1.6
>diff -U75 -r1.6 mozconfig
>--- linux/mozconfig	20 Mar 2008 18:57:25 -0000	1.6
>+++ linux/mozconfig	6 May 2008 20:13:40 -0000
>@@ -1,28 +1,26 @@
> #
> ## hostname: tb-linux-tbox
> ## uname: Linux tb-linux-tbox.build.mozilla.org 2.6.18-8.el5 #1 SMP Thu Mar 15 19:57:35 EDT 2007 i686 athlon i386 GNU/Linux
> #
> 
> # symbols for breakpad
> export CFLAGS="-gstabs+"
> export CXXFLAGS="-gstabs+"
> 
> mk_add_options MOZ_CO_PROJECT=mail
>-mk_add_options MOZ_MAKE_FLAGS=-j3
>-mk_add_options MOZ_CO_MODULE="mozilla/tools/update-packaging mozilla/tools/codesighs"
>+mk_add_options MOZ_MAKE_FLAGS=-j1
>+mk_add_options MOZ_CO_MODULE="mozilla/tools/update-packaging"
> 
> ac_add_options --enable-application=mail
>-ac_add_options --enable-update-channel=nightly
>+ac_add_options --enable-update-channel=beta
> ac_add_options --disable-debug
> ac_add_options --enable-update-packaging
> # Add explicit optimize flags in configure.in, not here - see bug 407794
> ac_add_options --enable-optimize
> ac_add_options --enable-official-branding
> ac_add_options --disable-tests
> ac_add_options --disable-shared
> ac_add_options --enable-static
> 
>-ac_add_options --enable-codesighs
>-
> CC=/tools/gcc-4.1.1/bin/gcc
> CXX=/tools/gcc-4.1.1/bin/g++
>Index: linux/tinder-config.pl
>===================================================================
>RCS file: /cvsroot/mozilla/tools/tinderbox-configs/thunderbird/linux/tinder-config.pl,v
>retrieving revision 1.16
>diff -U75 -r1.16 tinder-config.pl
>--- linux/tinder-config.pl	14 Apr 2008 19:22:56 -0000	1.16
>+++ linux/tinder-config.pl	6 May 2008 20:13:40 -0000
>@@ -1,218 +1,225 @@
> #
> ## hostname: tb-linux-tbox
> ## uname: Linux tbnewref-linux-tbox.build.mozilla.org 2.6.18-8.el5 #1 SMP Thu Mar 15 19:57:35 EDT 2007 i686 athlon i386 GNU/Linux
> #
> 
> #- tinder-config.pl - Tinderbox configuration file.
> #-    Uncomment the variables you need to set.
> #-    The default values are the same as the commented variables.
> 
> $ENV{CVS_RSH} = "ssh";
> $ENV{MOZ_CRASHREPORTER_NO_REPORT} = '1';
> 
> #- PLEASE FILL THIS IN WITH YOUR PROPER EMAIL ADDRESS
> #$BuildAdministrator = "$ENV{USER}\@$ENV{HOST}";
> #$BuildAdministrator = ($ENV{USER} || "cltbld") . "\@" . ($ENV{HOST} || "dhcp");
> 
> #- You'll need to change these to suit your machine's needs
> #$DisplayServer = ':0.0';
> 
> #- Default values of command-line opts
> #-
> $BuildDepend       = 0;      # Depend or Clobber
> #$BuildDebug        = 0;      # Debug or Opt (Darwin)
> #$ReportStatus      = 1;      # Send results to server, or not
> #$ReportFinalStatus = 1;      # Finer control over $ReportStatus.
>-#$UseTimeStamp      = 1;      # Use the CVS 'pull-by-timestamp' option, or not
>+$UseTimeStamp      = 0;      # Use the CVS 'pull-by-timestamp' option, or not
> #$BuildOnce         = 0;      # Build once, don't send results to server
> #$TestOnly          = 0;      # Only run tests, don't pull/build
> #$BuildEmbed        = 0;      # After building seamonkey, go build embed app.
> #$SkipMozilla       = 0;      # Use to debug post-mozilla.pl scripts.
> 
> # Tests
> $CleanProfile             = 1;
> #$ResetHomeDirForTests     = 1;
> $ProductName              = "Thunderbird";
> #$VendorName               = "";
> 
> $RunMozillaTests          = 1;  # Allow turning off of all tests if needed.
> #$RegxpcomTest             = 1;
> #$AliveTest                = 1;
> #$JavaTest                 = 0;
> #$ViewerTest               = 0;
> #$BloatTest                = 0;  # warren memory bloat test
> #$BloatTest2               = 0;  # dbaron memory bloat test, require tracemalloc
> #$DomToTextConversionTest  = 0;  
> #$XpcomGlueTest            = 0;
>-$CodesizeTest             = 1;  # Z,  require mozilla/tools/codesighs
>+$CodesizeTest             = 0;  # Z,  require mozilla/tools/codesighs
> #$EmbedCodesizeTest        = 0;  # mZ, require mozilla/tools/codesigns
> #$MailBloatTest            = 0;
> #$EmbedTest                = 0;  # Assumes you wanted $BuildEmbed=1
> #$LayoutPerformanceTest    = 0;  # Tp
> #$QATest                   = 0;  
> #$XULWindowOpenTest        = 0;  # Txul
> #$StartupPerformanceTest   = 0;  # Ts
> 
>-$TestsPhoneHome           = 1;  # Should test report back to server?
>+$TestsPhoneHome           = 0;  # Should test report back to server?
> #$results_server           = "axolotl.mozilla.org"; # was tegu
> #$pageload_server          = "spider";  # localhost
> 
> #
> # Timeouts, values are in seconds.
> #
> #$CVSCheckoutTimeout               = 3600;
> #$CreateProfileTimeout             = 45;
> #$RegxpcomTestTimeout              = 15;
> 
> #$AliveTestTimeout                 = 45;
> #$ViewerTestTimeout                = 45;
> #$EmbedTestTimeout                 = 45;
> #$BloatTestTimeout                 = 120;   # seconds
> #$MailBloatTestTimeout             = 120;   # seconds
> #$JavaTestTimeout                  = 45;
> #$DomTestTimeout	                  = 45;    # seconds
> #$XpcomGlueTestTimeout             = 15;
> #$CodesizeTestTimeout              = 900;     # seconds
> #$CodesizeTestType                 = "auto";  # {"auto"|"base"}
> #$LayoutPerformanceTestTimeout     = 1200;  # entire test, seconds
> #$QATestTimeout                    = 1200;   # entire test, seconds
> #$LayoutPerformanceTestPageTimeout = 30000; # each page, ms
> #$StartupPerformanceTestTimeout    = 60;    # seconds
> #$XULWindowOpenTestTimeout	      = 150;   # seconds
> 
> 
> #$MozConfigFileName = 'mozconfig';
> 
> #$UseMozillaProfile = 1;
> #$MozProfileName = 'default';
> 
> #- Set these to what makes sense for your system
> #$Make          = 'gmake';       # Must be GNU make
> #$MakeOverrides = '';
> #$mail          = '/bin/mail';
> #$CVS           = 'cvs -q';
> #$CVSCO         = 'checkout -P';
> 
> # win32 usually doesn't have /bin/mail
> #$blat           = 'c:/nstools/bin/blat';
> #$use_blat       = 0;
> 
> # Set moz_cvsroot to something like:
> # :pserver:$ENV{USER}%netscape.com\@cvs.mozilla.org:/cvsroot
> # :pserver:anonymous\@cvs-mirror.mozilla.org:/cvsroot
> #
> # Note that win32 may not need \@, depends on ' or ".
> # :pserver:$ENV{USER}%netscape.com@cvs.mozilla.org:/cvsroot
> 
>+# CONFIG: $moz_cvsroot   = '%mozillaCvsroot%';
> $moz_cvsroot   = ':ext:tbirdbld@cvs.mozilla.org:/cvsroot';
> 
>-# $MofoRoot   = ":ext:cltbld\@cvs.mozilla.org:/mofo";
>-
> #- Set these proper values for your tinderbox server
> #$Tinderbox_server = 'tinderbox-daemon@tinderbox.mozilla.org';
> 
> # Allow for non-client builds, e.g. camino.
> #$moz_client_mk = 'client.mk';
> 
> #- Set if you want to build in a separate object tree
> $ObjDir = 'obj-tb-trunk';
> 
> # Extra build name, if needed.
>-$BuildNameExtra = 'Nightly';
>+$BuildNameExtra = 'Release';
> 
> # User comment, eg. ip address for dhcp builds.
> # ex: $UserComment = "ip = 208.12.36.108";
> #$UserComment = 0;
> 
> #-
> #- The rest should not need to be changed
> #-
> 
> #- Minimum wait period from start of build to start of next build in minutes.
> #$BuildSleep = 10;
> 
> #- Until you get the script working. When it works,
> #- change to the tree you're actually building
>+# CONFIG: $BuildTree  = '%buildTree%';
> $BuildTree  = 'Thunderbird';
> 
> #$BuildName = '';
>+# CONFIG: $BuildTag = '%productTag%_RELEASE';
> $BuildTag = '';
> #$BuildConfigDir = 'mozilla/config';
> #$Topsrcdir = 'mozilla';
> 
> $BinaryName = 'thunderbird-bin';
> 
> #
> # For embedding app, use:
> #$EmbedBinaryName = 'TestGtkEmbed';
> #$EmbedDistDir    = 'dist/bin'
> 
> 
> #$ShellOverride = ''; # Only used if the default shell is too stupid
> #$ConfigureArgs = '';
> #$ConfigureEnvArgs = '';
> #$Compiler = 'gcc';
> #$NSPRArgs = '';
> #$ShellOverride = '';
> 
> # allow override of timezone value (for win32 POSIX::strftime)
> #$Timezone = '';
> 
> # Release build options
> $ReleaseBuild  = 1;
>-$ReleaseToLatest = 1; # Push the release to latest-<milestone>?
>+$ReleaseToLatest = 0; # Push the release to latest-<milestone>?
> $ReleaseToDated = 1; # Push the release to YYYY-MM-DD-HH-<milestone>?
> $shiptalkback  = 0;
> $build_hour    = "3";
> $package_creation_path = "/mail/installer";
> $ssh_version   = "2";
>+# CONFIG: $ssh_user      = "%sshUser%";
> $ssh_user      = "tbirdbld";
>-$ssh_key       = "$ENV{HOME}/.ssh/tbirdbld_dsa"; 
>+# CONFIG: $ssh_server    = "%sshServer%";
> $ssh_server    = "stage.mozilla.org";
> #$ReleaseGroup  = "thunderbird";
> $ftp_path      = "/home/ftp/pub/thunderbird/nightly";
> $url_path      = "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly";
> $tbox_ftp_path = "/home/ftp/pub/thunderbird/tinderbox-builds";
> $tbox_url_path = "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/tinderbox-builds";
>+# CONFIG: $milestone     = "thunderbird%version%";
> $milestone     = "trunk";
> $notify_list   = "build-announce\@mozilla.org";
> $stub_installer = 0;
> $sea_installer = 0;
> $archive       = 1;
> $update_package = 1;
> $update_product = "Thunderbird";
> $update_version = "trunk";
> $update_platform = "Linux_x86-gcc3";
> $update_hash = "sha1";
> $update_filehost = "ftp.mozilla.org";
> $update_ver_file = "mail/config/version.txt";
>-$update_pushinfo = 1;
>+$update_pushinfo = 0;
> $crashreporter_buildsymbols = 1;
> $crashreporter_pushsymbols = 1;
>+# CONFIG: $ENV{'SYMBOL_SERVER_HOST'}    = '%symbolServer%';
> $ENV{SYMBOL_SERVER_HOST} = 'dm-symbolpush01.mozilla.org';
>+# CONFIG: $ENV{'SYMBOL_SERVER_USER'}    = '%symbolServerUser%';
> $ENV{SYMBOL_SERVER_USER}   = 'tbirdbld';
>+# CONFIG: $ENV{'SYMBOL_SERVER_PATH'}    = '%symbolServerPath%';
> $ENV{SYMBOL_SERVER_PATH}   = '/mnt/netapp/breakpad/symbols_tbrd/';
>+# CONFIG: $ENV{'SYMBOL_SERVER_SSH_KEY'} = '%symbolServerKey%';
> $ENV{SYMBOL_SERVER_SSH_KEY}   = "$ENV{HOME}/.ssh/tbirdbld_dsa";
> 
> # Reboot the OS at the end of build-and-test cycle. This is primarily
> # intended for Win9x, which can't last more than a few cycles before
> # locking up (and testing would be suspect even after a couple of cycles).
> # Right now, there is only code to force the reboot for Win9x, so even
> # setting this to 1, will not have an effect on other platforms. Setting
> # up win9x to automatically logon and begin running tinderbox is left 
> # as an exercise to the reader. 
> #$RebootSystem = 0;
> 
> # LogCompression specifies the type of compression used on the log file.
> # Valid options are 'gzip', and 'bzip2'. Please make sure the binaries
> # for 'gzip' or 'bzip2' are in the user's path before setting this
> # option.
> #$LogCompression = 'bzip2';
> 
> # LogEncoding specifies the encoding format used for the logs. Valid
> # options are 'base64', and 'uuencode'. If $LogCompression is set above,
> # this needs to be set to 'base64' or 'uuencode' to ensure that the
> # binary data is transferred properly.
> #$LogEncoding = 'base64';
> 
> 
>Index: macosx/mozconfig
>===================================================================
>RCS file: /cvsroot/mozilla/tools/tinderbox-configs/thunderbird/macosx/mozconfig,v
>retrieving revision 1.6
>diff -U75 -r1.6 mozconfig
>--- macosx/mozconfig	21 Apr 2008 17:51:53 -0000	1.6
>+++ macosx/mozconfig	6 May 2008 20:13:40 -0000
>@@ -1,31 +1,29 @@
> #
>-## hostname: bm-xserve09.build.mozilla.org
>-## uname: Darwin bm-xserve09.build.mozilla.org 8.8.4 Darwin Kernel Version 8.8.4: Sun Oct 29 15:26:54 PST 2006; root:xnu-792.16.4.obj~1/RELEASE_I386 i386 i386
>+## hostname: bm-xserve07.build.mozilla.org
>+## uname: Darwin bm-xserve07.build.mozilla.org 8.8.4 Darwin Kernel Version 8.8.4: Sun Oct 29 15:26:54 PST 2006; root:xnu-792.16.4.obj~1/RELEASE_I386 i386 i386
> #
> 
> # symbols for breakpad
> export CFLAGS="-g -gfull"
> export CXXFLAGS="-g -gfull"
> 
> . $topsrcdir/build/macosx/universal/mozconfig
> 
> # Make flags
> mk_add_options MOZ_CO_PROJECT=mail
>-mk_add_options MOZ_MAKE_FLAGS="-j4"
>-mk_add_options MOZ_CO_MODULE="mozilla/tools/update-packaging mozilla/tools/codesighs"
>+mk_add_options MOZ_MAKE_FLAGS="-j1"
>+mk_add_options MOZ_CO_MODULE="mozilla/tools/update-packaging"
> mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../build/universal
> 
> # Configure flags
> ac_add_options --enable-application=mail
>-ac_add_options --enable-update-channel=nightly
>+ac_add_options --enable-update-channel=beta
> # Add explicit optimize flags in configure.in, not here - see bug 407794
> ac_add_options --enable-optimize
> ac_add_options --disable-debug
> ac_add_options --disable-tests
> ac_add_options --enable-official-branding
> ac_add_options --enable-static
> ac_add_options --disable-shared
> 
> ac_add_options --enable-update-packaging
>-
>-ac_add_options --enable-codesighs
>Index: macosx/tinder-config.pl
>===================================================================
>RCS file: /cvsroot/mozilla/tools/tinderbox-configs/thunderbird/macosx/tinder-config.pl,v
>retrieving revision 1.18
>diff -U75 -r1.18 tinder-config.pl
>--- macosx/tinder-config.pl	14 Apr 2008 19:22:57 -0000	1.18
>+++ macosx/tinder-config.pl	6 May 2008 20:13:40 -0000
>@@ -1,255 +1,262 @@
> #
>-## hostname: bm-xserve09.build.mozilla.org
>-## uname: Darwin bm-xserve09.build.mozilla.org 8.8.4 Darwin Kernel Version 8.8.4: Sun Oct 29 15:26:54 PST 2006; root:xnu-792.16.4.obj~1/RELEASE_I386 i386 i386
>+## hostname: bm-xserve07.build.mozilla.org
>+## uname: Darwin bm-xserve07.build.mozilla.org 8.8.4 Darwin Kernel Version 8.8.4: Sun Oct 29 15:26:54 PST 2006; root:xnu-792.16.4.obj~1/RELEASE_I386 i386 i386
> #
> 
> #- tinder-config.pl - Tinderbox configuration file.
> #-    Uncomment the variables you need to set.
> #-    The default values are the same as the commented variables.
> 
> # $ENV{NO_EM_RESTART} = "1";
> # $ENV{DYLD_NO_FIX_PREBINDING} = "1";
> # $ENV{LD_PREBIND_ALLOW_OVERLAP} = "1";
> $ENV{MOZ_CRASHREPORTER_NO_REPORT} = '1';
> 
> $MacUniversalBinary = 1;
> 
> # $ENV{MOZ_PACKAGE_MSI}
> #-----------------------------------------------------------------------------
> #  Default: 0
> #   Values: 0 | 1
> #  Purpose: Controls whether a MSI package is made.
> # Requires: Windows and a local MakeMSI installation.
> #$ENV{MOZ_PACKAGE_MSI} = 0;
> 
> # $ENV{MOZ_SYMBOLS_TRANSFER_TYPE}
> #-----------------------------------------------------------------------------
> #  Default: scp
> #   Values: scp | rsync
> #  Purpose: Use scp or rsync to transfer symbols to the Talkback server.
> # Requires: The selected type requires the command be available both locally
> #           and on the Talkback server.
> #$ENV{MOZ_SYMBOLS_TRANSFER_TYPE} = "scp";
> 
> #- PLEASE FILL THIS IN WITH YOUR PROPER EMAIL ADDRESS
> $BuildAdministrator = 'build@mozilla.org';
> #$BuildAdministrator = "$ENV{USER}\@$ENV{HOST}";
> #$BuildAdministrator = ($ENV{USER} || "cltbld") . "\@" . ($ENV{HOST} || "dhcp");
> 
> #- You'll need to change these to suit your machine's needs
> #$DisplayServer = ':0.0';
> 
> #- Default values of command-line opts
> #-
> #$BuildDepend       = 1;      # Depend or Clobber
> #$BuildDebug        = 0;      # Debug or Opt (Darwin)
> #$ReportStatus      = 1;      # Send results to server, or not
> #$ReportFinalStatus = 1;      # Finer control over $ReportStatus.
>-#$UseTimeStamp      = 1;      # Use the CVS 'pull-by-timestamp' option, or not
>+$UseTimeStamp      = 0;      # Use the CVS 'pull-by-timestamp' option, or not
> #$BuildOnce         = 0;      # Build once, don't send results to server
> #$TestOnly          = 0;      # Only run tests, don't pull/build
> #$BuildEmbed        = 0;      # After building seamonkey, go build embed app.
> #$SkipMozilla       = 0;      # Use to debug post-mozilla.pl scripts.
> #$BuildLocales      = 0;      # Do l10n packaging?
> 
> # Tests
> $CleanProfile             = 1;
> #$ResetHomeDirForTests     = 1;
> $ProductName              = "Thunderbird";
> $VendorName               = 'Mozilla';
> 
> $RunMozillaTests          = 1;  # Allow turning off of all tests if needed.
> $RegxpcomTest             = 1;
> $AliveTest                = 1;
> #$JavaTest                 = 0;
> #$ViewerTest               = 0;
> #$BloatTest                = 0;  # warren memory bloat test
> #$BloatTest2               = 0;  # dbaron memory bloat test, require tracemalloc
> #$DomToTextConversionTest  = 0;  
> #$XpcomGlueTest            = 0;
>-$CodesizeTest             = 1;  # Z,  require mozilla/tools/codesighs
>+$CodesizeTest             = 0;  # Z,  require mozilla/tools/codesighs
> $EmbedCodesizeTest        = 0;  # mZ, require mozilla/tools/codesigns
> #$MailBloatTest            = 0;
> #$EmbedTest                = 0;  # Assumes you wanted $BuildEmbed=1
> #$LayoutPerformanceTest    = 0;  # Tp
> #$DHTMLPerformanceTest     = 0;  # Tdhtml
> #$QATest                   = 0;  
> #$XULWindowOpenTest        = 0;  # Txul
> #$StartupPerformanceTest   = 0;  # Ts
> 
>-$TestsPhoneHome           = 1;  # Should test report back to server?
>+$TestsPhoneHome           = 0;  # Should test report back to server?
> 
> # $results_server
> #----------------------------------------------------------------------------
> # Server on which test results will be accessible.  This was originally tegu,
> # then became axolotl.  Once we moved services from axolotl, it was time
> # to give this service its own hostname to make future transitions easier.
> # - cmp@mozilla.org
> #$results_server           = "build-graphs.mozilla.org";
> 
> #$pageload_server          = "spider";  # localhost
> 
> #
> # Timeouts, values are in seconds.
> #
> #$CVSCheckoutTimeout               = 3600;
> #$CreateProfileTimeout             = 45;
> #$RegxpcomTestTimeout              = 120;
> 
> #$AliveTestTimeout                 = 45;
> #$ViewerTestTimeout                = 45;
> #$EmbedTestTimeout                 = 45;
> #$BloatTestTimeout                 = 120;   # seconds
> #$MailBloatTestTimeout             = 120;   # seconds
> #$JavaTestTimeout                  = 45;
> #$DomTestTimeout	                  = 45;    # seconds
> #$XpcomGlueTestTimeout             = 15;
> #$CodesizeTestTimeout              = 900;     # seconds
> #$CodesizeTestType                 = "auto";  # {"auto"|"base"}
> #$LayoutPerformanceTestTimeout     = 1200;  # entire test, seconds
> #$DHTMLPerformanceTestTimeout      = 1200;  # entire test, seconds
> #$QATestTimeout                    = 1200;   # entire test, seconds
> #$LayoutPerformanceTestPageTimeout = 30000; # each page, ms
> #$StartupPerformanceTestTimeout    = 15;    # seconds
> #$XULWindowOpenTestTimeout	      = 150;   # seconds
> 
> 
> #$MozConfigFileName = 'mozconfig';
> 
> #$UseMozillaProfile = 1;
> #$MozProfileName = 'default';
> 
> #- Set these to what makes sense for your system
> #$Make          = 'gmake';       # Must be GNU make
> #$MakeOverrides = '';
> #$mail          = '/bin/mail';
> #$CVS           = 'cvs -q';
> #$CVSCO         = 'checkout -P';
> 
> # win32 usually doesn't have /bin/mail
> #$blat           = 'c:/nstools/bin/blat';
> #$use_blat       = 0;
> 
> # Set moz_cvsroot to something like:
> # :pserver:$ENV{USER}%netscape.com\@cvs.mozilla.org:/cvsroot
> # :pserver:anonymous\@cvs-mirror.mozilla.org:/cvsroot
> #
> # Note that win32 may not need \@, depends on ' or ".
> # :pserver:$ENV{USER}%netscape.com@cvs.mozilla.org:/cvsroot
> 
> #$moz_cvsroot   = $ENV{CVSROOT};
>+# CONFIG: $moz_cvsroot   = '%mozillaCvsroot%';
> $moz_cvsroot   = ":ext:tbirdbld\@cvs.mozilla.org:/cvsroot";
> 
>-# $MofoRoot   = ":ext:cltbld\@cvs.mozilla.org:/mofo";
>-
> #- Set these proper values for your tinderbox server
> #$Tinderbox_server = 'tinderbox-daemon@tinderbox.mozilla.org';
> 
> # Allow for non-client builds, e.g. camino.
> #$moz_client_mk = 'client.mk';
> 
> #- Set if you want to build in a separate object tree
> $ObjDir = '../build/universal';
> 
> # Extra build name, if needed.
>-$BuildNameExtra = 'Universal Nightly';
>+$BuildNameExtra = 'Release';
> 
> # User comment, eg. ip address for dhcp builds.
> # ex: $UserComment = "ip = 208.12.36.108";
> #$UserComment = 0;
> 
> #-
> #- The rest should not need to be changed
> #-
> 
> #- Minimum wait period from start of build to start of next build in minutes.
> #$BuildSleep = 10;
> 
> #- Until you get the script working. When it works,
> #- change to the tree you're actually building
> #$BuildTree  = 'MozillaTest';
>+# CONFIG: $BuildTree  = '%buildTree%';
> $BuildTree  = 'Thunderbird';
> 
> #$BuildName = '';
>+# CONFIG: $BuildTag = '%productTag%_RELEASE';
> #$BuildTag = 'AVIARY_1_0_1_20050124_BRANCH';
> #$BuildConfigDir = 'mozilla/config';
> #$Topsrcdir = 'mozilla';
> 
> $BinaryName = 'thunderbird-bin';
> 
> #
> # For embedding app, use:
> #$EmbedBinaryName = 'TestGtkEmbed';
> #$EmbedDistDir    = 'dist/bin'
> 
> 
> #$ShellOverride = ''; # Only used if the default shell is too stupid
> #$ConfigureArgs = '';
> #$ConfigureEnvArgs = '';
> #$Compiler = 'gcc';
> #$NSPRArgs = '';
> #$ShellOverride = '';
> 
> # Release build options
> $ReleaseBuild  = 1;
> $shiptalkback  = 0;
>-#$ReleaseToLatest = 1; # Push the release to latest-<milestone>?
>-#$ReleaseToDated = 1; # Push the release to YYYY-MM-DD-HH-<milestone>?
>+$ReleaseToLatest = 0; # Push the release to latest-<milestone>?
>+$ReleaseToDated = 1; # Push the release to YYYY-MM-DD-HH-<milestone>?
> $build_hour    = "3";
> $package_creation_path = "/mail/installer";
> # needs setting for mac + talkback: $mac_bundle_path = "/browser/app";
> $mac_bundle_path = "/mail/app";
> $ssh_version   = "2";
>+# CONFIG: $ssh_user      = "%sshUser%";
> $ssh_user      = "tbirdbld";
>-$ssh_key       = "$ENV{HOME}/.ssh/tbirdbld_dsa";
>+# CONFIG: $ssh_server    = "%sshServer%";
> $ssh_server    = "stage.mozilla.org";
> #$ReleaseGroup  = "thunderbird";
> $ftp_path      = "/home/ftp/pub/thunderbird/nightly";
> $url_path      = "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly";
> $tbox_ftp_path = "/home/ftp/pub/thunderbird/tinderbox-builds";
> $tbox_url_path = "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/tinderbox-builds";
>+# CONFIG: $milestone     = "thunderbird%version%';
> $milestone     = "trunk";
> $notify_list   = "build-announce\@mozilla.org";
> $stub_installer = 0;
> $sea_installer = 0;
> $archive       = 1;
> $push_raw_xpis = 0;
> $update_package = 1;
> $update_product = "Thunderbird";
> $update_version = "trunk";
> $update_platform = "Darwin_Universal-gcc3";
> $update_hash = "sha1";
> $update_filehost = "ftp.mozilla.org";
> $update_ver_file = "mail/config/version.txt";
>-$update_pushinfo = 1;
>+$update_pushinfo = 0;
> $crashreporter_buildsymbols = 1;
> $crashreporter_pushsymbols = 1;
>+# CONFIG: $ENV{'SYMBOL_SERVER_HOST'}    = '%symbolServer%';
> $ENV{SYMBOL_SERVER_HOST} = 'dm-symbolpush01.mozilla.org';
>+# CONFIG: $ENV{'SYMBOL_SERVER_USER'}    = '%symbolServerUser%';
> $ENV{SYMBOL_SERVER_USER}   = 'tbirdbld';
>+# CONFIG: $ENV{'SYMBOL_SERVER_PATH'}    = '%symbolServerPath%';
> $ENV{SYMBOL_SERVER_PATH}   = '/mnt/netapp/breakpad/symbols_tbrd/';
>+# CONFIG: $ENV{'SYMBOL_SERVER_SSH_KEY'} = '%symbolServerKey%';
> $ENV{SYMBOL_SERVER_SSH_KEY}   = "$ENV{HOME}/.ssh/tbirdbld_dsa";
> 
> # Reboot the OS at the end of build-and-test cycle. This is primarily
> # intended for Win9x, which can't last more than a few cycles before
> # locking up (and testing would be suspect even after a couple of cycles).
> # Right now, there is only code to force the reboot for Win9x, so even
> # setting this to 1, will not have an effect on other platforms. Setting
> # up win9x to automatically logon and begin running tinderbox is left 
> # as an exercise to the reader. 
> #$RebootSystem = 0;
> 
> # LogCompression specifies the type of compression used on the log file.
> # Valid options are 'gzip', and 'bzip2'. Please make sure the binaries
> # for 'gzip' or 'bzip2' are in the user's path before setting this
> # option.
> #$LogCompression = '';
> 
> # LogEncoding specifies the encoding format used for the logs. Valid
> # options are 'base64', and 'uuencode'. If $LogCompression is set above,
> # this needs to be set to 'base64' or 'uuencode' to ensure that the
> # binary data is transferred properly.
> #$LogEncoding = '';
> 
> # Prevent Extension Manager from spawning child processes during tests
> # - processes that tbox scripts cannot kill. 
> #$ENV{NO_EM_RESTART} = '1';
>Index: win32/mozconfig
>===================================================================
>RCS file: /cvsroot/mozilla/tools/tinderbox-configs/thunderbird/win32/mozconfig,v
>retrieving revision 1.8
>diff -U75 -r1.8 mozconfig
>--- win32/mozconfig	3 Feb 2008 20:43:44 -0000	1.8
>+++ win32/mozconfig	6 May 2008 20:13:40 -0000
>@@ -1,20 +1,20 @@
> #
> ## hostname: tbnewref-win32-tbox
> ## MINGW32_NT-5.2 TBNEWREF-WIN32- 1.0.11(0.46/3/2) 2007-01-12 12:05 i686 Msys
> #
> 
> mk_add_options MOZ_CO_PROJECT=mail
> mk_add_options MOZ_DEBUG_SYMBOLS=1
> mk_add_options MOZ_MAKE_FLAGS=-j1
> mk_add_options MOZ_CO_MODULE="mozilla/tools/update-packaging"
> 
> ac_add_options --enable-application=mail
>-ac_add_options --enable-update-channel=nightly
>+ac_add_options --enable-update-channel=beta
> ac_add_options --disable-debug
> # Add explicit optimize flags in configure.in, not here - see bug 407794
> ac_add_options --enable-optimize
> ac_add_options --disable-tests
> ac_add_options --enable-official-branding
> ac_add_options --disable-shared
> ac_add_options --enable-static
> ac_add_options --enable-update-packaging
>Index: win32/tinder-config.pl
>===================================================================
>RCS file: /cvsroot/mozilla/tools/tinderbox-configs/thunderbird/win32/tinder-config.pl,v
>retrieving revision 1.18
>diff -U75 -r1.18 tinder-config.pl
>--- win32/tinder-config.pl	8 Apr 2008 19:27:35 -0000	1.18
>+++ win32/tinder-config.pl	6 May 2008 20:13:40 -0000
>@@ -1,223 +1,232 @@
> #
> ## hostname: tbnewref-win32-tbox
> ## MINGW32_NT-5.2 TBNEWREF-WIN32- 1.0.11(0.46/3/2) 2007-01-12 12:05 i686 Msys
> #
> 
> #- tinder-config.pl - Tinderbox configuration file.
> #-    Uncomment the variables you need to set.
> #-    The default values are the same as the commented variables.
> 
> $ENV{CVSROOT}=":ext:tbirdbld\@cvs.mozilla.org:/cvsroot";
> $ENV{MOZ_INSTALLER_USE_7ZIP}="1";
> $ENV{MOZ_PACKAGE_MSI} = 0;
> $ENV{MOZ_CRASHREPORTER_NO_REPORT} = '1';
> 
> #- PLEASE FILL THIS IN WITH YOUR PROPER EMAIL ADDRESS
> #$BuildAdministrator = "$ENV{USER}\@$ENV{HOST}";
> #$BuildAdministrator = ($ENV{USER} || "cltbld") . "\@" . ($ENV{HOST} || "dhcp");
> 
> #- You'll need to change these to suit your machine's needs
> #$DisplayServer = ':0.0';
> 
> #- Default values of command-line opts
> #-
> $BuildDepend       = 0;      # Depend or Clobber
> #$BuildDebug        = 0;      # Debug or Opt (Darwin)
> #$ReportStatus      = 1;      # Send results to server, or not
> #$ReportFinalStatus = 1;      # Finer control over $ReportStatus.
>-#$UseTimeStamp      = 1;      # Use the CVS 'pull-by-timestamp' option, or not
>+$UseTimeStamp      = 0;      # Use the CVS 'pull-by-timestamp' option, or not
> #$BuildOnce         = 0;      # Build once, don't send results to server
> #$TestOnly          = 0;      # Only run tests, don't pull/build
> #$BuildEmbed        = 0;      # After building seamonkey, go build embed app.
> #$SkipMozilla       = 0;      # Use to debug post-mozilla.pl scripts.
> #$BuildLocales      = 0;      # Do l10n packaging?
> 
> # Tests
> $CleanProfile             = 1;
> #$ResetHomeDirForTests     = 1;
> $ProductName              = "Thunderbird";
> #$VendorName               = '';
> 
> $RunMozillaTests          = 1;  # Allow turning off of all tests if needed.
> #$RegxpcomTest             = 1;
> #$AliveTest                = 1;
> #$JavaTest                 = 0;
> #$ViewerTest               = 0;
> #$BloatTest                = 0;  # warren memory bloat test
> #$BloatTest2               = 0;  # dbaron memory bloat test, require tracemalloc
> #$DomToTextConversionTest  = 0;  
> #$XpcomGlueTest            = 0;
> #$CodesizeTest             = 0;  # Z,  require mozilla/tools/codesighs
> #$EmbedCodesizeTest        = 0;  # mZ, require mozilla/tools/codesigns
> #$MailBloatTest            = 0;
> #$EmbedTest                = 0;  # Assumes you wanted $BuildEmbed=1
> #$LayoutPerformanceTest    = 0;  # Tp
> #$DHTMLPerformanceTest     = 0;  # Tdhtml
> #$QATest                   = 0;  
> #$XULWindowOpenTest        = 0;  # Txul
> #$StartupPerformanceTest   = 0;  # Ts
> 
>-#$TestsPhoneHome           = 0;  # Should test report back to server?
>+$TestsPhoneHome           = 0;  # Should test report back to server?
> #$results_server           = "axolotl.mozilla.org"; # was tegu
> #$pageload_server          = "spider";  # localhost
> 
> #
> # Timeouts, values are in seconds.
> #
> #$CVSCheckoutTimeout               = 3600;
> #$CreateProfileTimeout             = 45;
> #$RegxpcomTestTimeout              = 120;
> 
> #$AliveTestTimeout                 = 45;
> #$ViewerTestTimeout                = 45;
> #$EmbedTestTimeout                 = 45;
> #$BloatTestTimeout                 = 120;   # seconds
> #$MailBloatTestTimeout             = 120;   # seconds
> #$JavaTestTimeout                  = 45;
> #$DomTestTimeout	                  = 45;    # seconds
> #$XpcomGlueTestTimeout             = 15;
> #$CodesizeTestTimeout              = 900;     # seconds
> #$CodesizeTestType                 = "auto";  # {"auto"|"base"}
> #$LayoutPerformanceTestTimeout     = 1200;  # entire test, seconds
> #$DHTMLPerformanceTestTimeout      = 1200;  # entire test, seconds
> #$QATestTimeout                    = 1200;   # entire test, seconds
> #$LayoutPerformanceTestPageTimeout = 30000; # each page, ms
> #$StartupPerformanceTestTimeout    = 15;    # seconds
> #$XULWindowOpenTestTimeout	      = 150;   # seconds
> 
> 
> #$MozConfigFileName = 'mozconfig';
> 
> #$UseMozillaProfile = 1;
> #$MozProfileName = 'default';
> 
> #- Set these to what makes sense for your system
> $Make          = 'make';       # Must be GNU make
> #$MakeOverrides = '';
> #$mail          = '/bin/mail';
> #$CVS           = 'cvs -q';
> #$CVSCO         = 'checkout -P';
> 
> # win32 usually doesn't have /bin/mail
> $blat           = '/d/mozilla-build/blat261/full/blat';
> $use_blat       = 0;
> 
> # Set moz_cvsroot to something like:
> # :pserver:$ENV{USER}%netscape.com\@cvs.mozilla.org:/cvsroot
> # :pserver:anonymous\@cvs-mirror.mozilla.org:/cvsroot
> #
> # Note that win32 may not need \@, depends on ' or ".
> # :pserver:$ENV{USER}%netscape.com@cvs.mozilla.org:/cvsroot
> 
>+# CONFIG: $moz_cvsroot = '%mozillaCvsroot%';
> $moz_cvsroot   = $ENV{CVSROOT};
> 
>-# $MofoRoot   = ":ext:cltbld\@cvs.mozilla.org:/mofo";
>-
> #- Set these proper values for your tinderbox server
> #$Tinderbox_server = 'tinderbox-daemon@tinderbox.mozilla.org';
> 
> # Allow for non-client builds, e.g. camino.
> #$moz_client_mk = 'client.mk';
> 
> #- Set if you want to build in a separate object tree
> $ObjDir = 'obj-tb-trunk';
> 
> # Extra build name, if needed.
>-$BuildNameExtra = 'release';
>+$BuildNameExtra = 'Release';
> 
> # User comment, eg. ip address for dhcp builds.
> # ex: $UserComment = "ip = 208.12.36.108";
> #$UserComment = 0;
> 
> #-
> #- The rest should not need to be changed
> #-
> 
> #- Minimum wait period from start of build to start of next build in minutes.
> #$BuildSleep = 10;
> 
> #- Until you get the script working. When it works,
> #- change to the tree you're actually building
>+# CONFIG: $BuildTree  = '%buildTree%';
> $BuildTree  = 'Thunderbird';
> 
> #$BuildName = '';
>+# CONFIG: $BuildTag = '%productTag%_RELEASE';
> #$BuildTag = '';
> #$BuildConfigDir = 'mozilla/config';
> #$Topsrcdir = 'mozilla';
> 
> $BinaryName = 'thunderbird.exe';
> 
> #
> # For embedding app, use:
> #$EmbedBinaryName = 'TestGtkEmbed';
> #$EmbedDistDir    = 'dist/bin'
> 
> 
> #$ShellOverride = ''; # Only used if the default shell is too stupid
> #$ConfigureArgs = '';
> #$ConfigureEnvArgs = '';
> #$Compiler = 'gcc';
> #$NSPRArgs = '';
> #$ShellOverride = '';
> 
> # Release build options
> $ReleaseBuild  = 1;
> $shiptalkback  = 0;
>+$ReleaseToLatest = 0;
>+$ReleaseToDated = 1;
> $build_hour    = "3";
> $package_creation_path = "/mail/installer";
> # needs setting for mac + talkback: $mac_bundle_path = "/browser/app";
> $ssh_version   = "2";
>+# CONFIG: $ssh_user      = "%sshUser%";
> $ssh_user      = "tbirdbld";
>-$ssh_key       = "'$ENV{HOME}/.ssh/tbirdbld_dsa'";
>+# CONFIG: $ssh_server    = "%sshServer%";
> $ssh_server    = "stage.mozilla.org";
> #$ReleaseGroup  = "thunderbird";
> $ftp_path      = "/home/ftp/pub/thunderbird/nightly";
> $url_path      = "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly";
> $tbox_ftp_path      = "/home/ftp/pub/thunderbird/tinderbox-builds";
> $tbox_url_path      = "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/tinderbox-builds";
>+# CONFIG: $milestone     = 'thunderbird%version%';
> $milestone     = "trunk";
> $notify_list   = "build-announce\@mozilla.org";
> $stub_installer = 0;
> $sea_installer = 1;
> $archive       = 1;
> $push_raw_xpis = 1;
> 
> $update_package = 1;
> $update_product = "Thunderbird";
> $update_version = "trunk";
> $update_ver_file = "mail/config/version.txt";
> $update_platform = "WINNT_x86-msvc";
> $update_hash = "sha1";
> $update_filehost = "ftp.mozilla.org";
>-$update_pushinfo = 1;
>+$update_pushinfo = 0;
> $crashreporter_buildsymbols = 1;
> $crashreporter_pushsymbols = 1;
>+# CONFIG: $ENV{'SYMBOL_SERVER_HOST'}    = '%symbolServer%';
> $ENV{SYMBOL_SERVER_HOST} = 'dm-symbolpush01.mozilla.org';
>+# CONFIG: $ENV{'SYMBOL_SERVER_USER'}    = '%symbolServerUser%';
> $ENV{SYMBOL_SERVER_USER}   = 'tbirdbld';
>+# CONFIG: $ENV{'SYMBOL_SERVER_PATH'}    = '%symbolServerPath%';
> $ENV{SYMBOL_SERVER_PATH}   = '/mnt/netapp/breakpad/symbols_tbrd/';
>+# CONFIG: $ENV{'SYMBOL_SERVER_SSH_KEY'} = '%symbolServerKey%';
> $ENV{SYMBOL_SERVER_SSH_KEY}   = "$ENV{HOME}/.ssh/tbirdbld_dsa";
> 
> # Reboot the OS at the end of build-and-test cycle. This is primarily
> # intended for Win9x, which can't last more than a few cycles before
> # locking up (and testing would be suspect even after a couple of cycles).
> # Right now, there is only code to force the reboot for Win9x, so even
> # setting this to 1, will not have an effect on other platforms. Setting
> # up win9x to automatically logon and begin running tinderbox is left 
> # as an exercise to the reader. 
> #$RebootSystem = 0;
> 
> # LogCompression specifies the type of compression used on the log file.
> # Valid options are 'gzip', and 'bzip2'. Please make sure the binaries
> # for 'gzip' or 'bzip2' are in the user's path before setting this
> # option.
> #$LogCompression = '';
> 
> # LogEncoding specifies the encoding format used for the logs. Valid
> # options are 'base64', and 'uuencode'. If $LogCompression is set above,
> # this needs to be set to 'base64' or 'uuencode' to ensure that the
> # binary data is transferred properly.
> #$LogEncoding = '';
> 
> # Prevent Extension Manager from spawning child processes during tests
> # - processes that tbox scripts cannot kill. 
> #$ENV{NO_EM_RESTART} = '1';
Attachment #319623 - Flags: review?(bhearsum) → review+
Comment on attachment 319623 [details] [diff] [review]
[checked in] Diff against HEAD for new release branch of en-US tinderbox config - v1.1

Checking in linux/mozconfig;
/cvsroot/mozilla/tools/tinderbox-configs/thunderbird/linux/mozconfig,v  <--  mozconfig
new revision: 1.6.2.1; previous revision: 1.6
done
Checking in linux/tinder-config.pl;
/cvsroot/mozilla/tools/tinderbox-configs/thunderbird/linux/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.16.2.1; previous revision: 1.16
done
Checking in macosx/mozconfig;
/cvsroot/mozilla/tools/tinderbox-configs/thunderbird/macosx/mozconfig,v  <--  mozconfig
new revision: 1.6.2.1; previous revision: 1.6
done
Checking in macosx/tinder-config.pl;
/cvsroot/mozilla/tools/tinderbox-configs/thunderbird/macosx/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.18.2.1; previous revision: 1.18
done
Checking in win32/mozconfig;
/cvsroot/mozilla/tools/tinderbox-configs/thunderbird/win32/mozconfig,v  <--  mozconfig
new revision: 1.8.2.1; previous revision: 1.8
done
Checking in win32/tinder-config.pl;
/cvsroot/mozilla/tools/tinderbox-configs/thunderbird/win32/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.18.2.1; previous revision: 1.18
done
Attachment #319623 - Attachment description: Diff against HEAD for new release branch of en-US tinderbox config - v1.1 → [checked in] Diff against HEAD for new release branch of en-US tinderbox config - v1.1
Attachment #319652 - Attachment description: thunderbird boostrap config update to sshUser and stagingUser → [checked in] thunderbird boostrap config update to sshUser and stagingUser
Comment on attachment 319836 [details] [diff] [review]
[checked in] thunderbird boostrap config update to sshUser, stagingUser and cvsroot(s) to use cltbld

Checking in tb-moz19-bootstrap.cfg;
/cvsroot/mozilla/tools/release/configs/tb-moz19-bootstrap.cfg,v  <--  tb-moz19-bootstrap.cfg
new revision: 1.3; previous revision: 1.2
done
Attachment #319836 - Attachment description: thunderbird boostrap config update to sshUser, stagingUser and cvsroot(s) to use cltbld → [checked in] thunderbird boostrap config update to sshUser, stagingUser and cvsroot(s) to use cltbld
Attachment #319836 - Flags: review?(nrthomas) → review+
Attachment #319994 - Flags: review?
Attachment #319994 - Flags: review? → review?(nrthomas)
Comment on attachment 319994 [details] [diff] [review]
mozilla/mail version bump to 3.0a2pre

changing review request info
Attachment #319994 - Flags: review?(nrthomas)
Comment on attachment 319994 [details] [diff] [review]
mozilla/mail version bump to 3.0a2pre

corrected review request info.
Attachment #319994 - Flags: review?(nrthomas)
Comment on attachment 319994 [details] [diff] [review]
mozilla/mail version bump to 3.0a2pre

The intent is right here but the patch should be against HEAD rather than the ... relbranch ?
Attachment #319994 - Flags: review?(nrthomas) → review-
This time against HEAD rather than the release branch.
Attachment #319994 - Attachment is obsolete: true
Attachment #319998 - Flags: review?(nrthomas)
Comment on attachment 319998 [details] [diff] [review]
[checked in] mozilla/mail version bump to 3.0a2pre

Thanks, makes landing the patch much quicker.

Checking in mail/app/module.ver;
/cvsroot/mozilla/mail/app/module.ver,v  <--  module.ver
new revision: 1.12; previous revision: 1.11
done
Checking in mail/config/version.txt;
/cvsroot/mozilla/mail/config/version.txt,v  <--  version.txt
new revision: 1.8; previous revision: 1.7
done
Attachment #319998 - Attachment description: mozilla/mail version bump to 3.0a2pre → [checked in] mozilla/mail version bump to 3.0a2pre
Attachment #319998 - Flags: review?(nrthomas) → review+
Comment on attachment 319997 [details] [diff] [review]
[checked in] bump version number in nagios monitoring for thunderbird to 3.0a2pre

Also added the missing checks on linux files, then

Checking in tools/tinderbox-configs/monitoring/Thunderbird_trunk.txt;
/cvsroot/mozilla/tools/tinderbox-configs/monitoring/Thunderbird_trunk.txt,v  <--  Thunderbird_trunk.txt
new revision: 1.4; previous revision: 1.3
done
Attachment #319997 - Attachment description: bump version number in nagios monitoring for thunderbird to 3.0a2pre → [checked in] bump version number in nagios monitoring for thunderbird to 3.0a2pre
Attachment #319997 - Flags: review?(nrthomas) → review+
Time to close this out ?
Closed!
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → FIXED
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.